New in the group


Patrice Deschilder
 

Hi group,

Happy to join the group.

I own an old Great Polaris and intend to build a controller w/ BT connection to my mobile phone.

I plan to use the existing motors and an Arduino mega.

I have some experience in electronic domain but I would prefer to buy a PCB.

 

My question is perhaps trivial but what is the last stable version of firmware and hardware you would recommend ? I see a lot of post from last years and a bit lost in the site.

Any advise welcome

Regards

Patrice

 

Provenance : Courrier pour Windows 10

 


andrea tasselli
 

If prefer not to solder a PCB I think your best option is a S6 board. Here the wiki S6 section link you should read (in fact you should read the whole wiki, from top to bottom at least twice):

https://onstep.groups.io/g/main/wiki/21159

I doubt you can use you existing motors if they are anything like the on my old GP/DX. OnStep works with stepper motors and you should really switch to those.

Check in this page for examples of SP mods:

https://onstep.groups.io/g/main/wiki/4414

My advice to use is to use 3.16 at the start. Well debugged and bullet-proof. You might eventually move on to a more feature-rich version but don't need it right now as 3.16 has all the features you might want coming from a SP. 

Cheers

Andrea


andrea tasselli
 

Forgot to check requirements for S6. In this case you would need 4.24 Master (or later).

Another option is the WeMos R32, which is also nearly solderless, See the wiki page here:

https://onstep.groups.io/g/main/wiki/19670

You would still need to use 4.24 Master (or later but not 5.x) on this one too.


Patrice Deschilder
 

Thanks Andrea for all these details 
Appreciate that 
Regards

Patrice 

Le 4 mai 2021 à 13:00, andrea tasselli via groups.io <andreatax@...> a écrit :

Forgot to check requirements for S6. In this case you would need 4.24 Master (or later).

Another option is the WeMos R32, which is also nearly solderless, See the wiki page here:

https://onstep.groups.io/g/main/wiki/19670

You would still need to use 4.24 Master (or later but not 5.x) on this one too.


Dave Schwartz
 

The code branches have been redone of late.

It now looks like the attached. 4.24 (formerly beta) is now the final release of OnStep - until OnStepX comes out - and is the default so that is what newbies get when they go to the repository. 3.16 is still there but is now one release back. master (5.x) is still there but it will be abandoned when OnStepX reaches a similar level of functionality.

On 2021-05-04 7:00 a.m., andrea tasselli via groups.io wrote:
Forgot to check requirements for S6. In this case you would need 4.24 Master (or later).

Another option is the WeMos R32, which is also nearly solderless, See the wiki page here:

https://onstep.groups.io/g/main/wiki/19670 <https://onstep.groups.io/g/main/wiki/19670>

You would still need to use 4.24 Master (or later but not 5.x) on this one too.


Mike Ahner
 

On Tue, May 4, 2021 at 06:00 AM, andrea tasselli wrote:
You would still need to use 4.24 Master
The one feature in v4.x that I like and use regularly is the spiral search, especially during alignment and at other times when the object just isn't in the field of view.
-Mike